scsi_probe_lun
Prev | drivers/scsi/scsi_scan.c | Next

## Name

scsi_probe_lun — probe a single LUN using a SCSI INQUIRY

## Synopsis

`int scsi_probe_lun (` | struct scsi_device * | sdev,
| unsigned char * | inq_result,
| int | result_len,
| int * | bflags`)`;

## Arguments

`sdev`

  scsi_device to probe

`inq_result`

  area to store the INQUIRY result

`result_len`

  len of inq_result

`bflags`

  store any bflags found here

## Description

Probe the lun associated with `req` using a standard SCSI INQUIRY;

If the INQUIRY is successful, zero is returned and the INQUIRY data is in `inq_result`; the scsi_level and INQUIRY length are copied to the scsi_device any flags value is stored in *`bflags`.

Prev | Up | Next
sanitize_inquiry_string | Home | scsi_add_lun